declare type Option = {
    html: string;
    width?: number;
    height?: number;
};
declare type Result = {
    description: string;
    result: boolean;
};
export declare class BrowserTester {
    private html;
    private width?;
    private height?;
    private iframe;
    private tests;
    private expects;
    private beforeEachCallbacks;
    private afterEachCallbacks;
    constructor({ html, width, height, }: Option);
    setBrowserSize(width: number, height: number): void;
    beforeEach(callback: (window: Window, doc: Document) => Promise<void>): void;
    afterEach(callback: (window: Window, doc: Document) => Promise<void>): void;
    test(description: string, callback: (window: Window, doc: Document) => Promise<void>): void;
    expect(value: unknown): {
        toBe: (value: unknown) => void;
        toBeTruthy: (value: unknown) => void;
        toBeFalsy: (value: unknown) => void;
        toBeNull: (value: unknown) => void;
        toBeUndefined: (value: unknown) => void;
        toBeDefined: (value: unknown) => void;
        toBeNaN: (value: unknown) => void;
        toContain: (value: unknown) => void;
        toBeLessThan: (value: unknown) => void;
        toBeGreaterThan: (value: unknown) => void;
        toBeLessThanOrEqual: (value: unknown) => void;
        toBeGreaterThanOrEqual: (value: unknown) => void;
        toBeInstanceOf: (value: unknown) => void;
    } & {
        not: {
            toBe: (value: unknown) => void;
            toBeTruthy: (value: unknown) => void;
            toBeFalsy: (value: unknown) => void;
            toBeNull: (value: unknown) => void;
            toBeUndefined: (value: unknown) => void;
            toBeDefined: (value: unknown) => void;
            toBeNaN: (value: unknown) => void;
            toContain: (value: unknown) => void;
            toBeLessThan: (value: unknown) => void;
            toBeGreaterThan: (value: unknown) => void;
            toBeLessThanOrEqual: (value: unknown) => void;
            toBeGreaterThanOrEqual: (value: unknown) => void;
            toBeInstanceOf: (value: unknown) => void;
        };
    };
    clearTests(): void;
    run(): Promise<Result[]>;
}
export {};
