"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assert = void 0;
const assert = (expected) => ({
    toBe: (resut) => {
        return expected === resut;
    },
    toBeTruthy: (result) => {
        return result === true;
    },
    toBeFalsy: (result) => {
        return result === false;
    },
    toBeNull: (result) => {
        return result === null;
    },
    toBeUndefined: (result) => {
        return result === undefined;
    },
    toBeDefined: (result) => {
        return result !== undefined;
    },
    toBeNaN: (result) => {
        return result === NaN;
    },
    toContain: (result) => {
        if (Array.isArray(expected)) {
            expected.some(item => item === result);
        }
        return false;
    },
    toBeLessThan: (result) => {
        if (typeof expected === 'number' && typeof result === 'number') {
            return expected < result;
        }
        return false;
    },
    toBeGreaterThan: (result) => {
        if (typeof expected === 'number' && typeof result === 'number') {
            return expected > result;
        }
        return false;
    },
    toBeLessThanOrEqual: (result) => {
        if (typeof expected === 'number' && typeof result === 'number') {
            return expected <= result;
        }
        return false;
    },
    toBeGreaterThanOrEqual: (result) => {
        if (typeof expected === 'number' && typeof result === 'number') {
            return expected >= result;
        }
        return false;
    },
    toBeInstanceOf: (result) => {
        if (typeof result !== 'function') {
            return false;
        }
        if (expected instanceof result) {
            return true;
        }
        return false;
    },
});
exports.assert = assert;
